// List_s_main.cpp
// Example code to show problem with shallow copy
// M. Schukat, 2002
 

// Header files
#include <math.h>
#include <iostream.h>
#include <stdlib.h>

#include "list_s.h"


// Main function
int main(void)
{
	DoubSet Set1;

	Set1.Insert(2.4);
	Set1.Insert(1.5);
	Set1.Insert(3.7);

	// Declaration of second instance. We create a shallow copy.
	DoubSet Set2 = Set1;
	
	cout << "Set1 = ";
	Set1.Content();

	cout << "Set2 = ";
	Set2.Content();

	cout << "Increment all elements of Set1 by one...\n";
	Set1.IncrementAllElements();

	cout << "New Content of both lists:\n";

	// Print both lists.
	cout << "Set1 = ";
	Set1.Content();

	cout << "Set2 = ";
	Set2.Content();

	return 0;
}