// Listmain.cpp
// Example code for deep copy using copy constructor and overloaded "=" operator
// M. Schukat, 2002
 

// Header files
#include <math.h>
#include <iostream.h>
#include <stdlib.h>

#include "list_d.h"


// main function
int main(void)
{
	DoubSet Set1, Set3;

	// Fill list with data
	Set1.Insert(2.4);
	Set1.Insert(1.5);
	Set1.Insert(3.7);

	// Call of copy operator
	DoubSet Set2 = Set1;

	// Call of overloaded "=" operator
	Set3 = Set1;
	
	// First dump of data
	cout << "Set1 = ";
	Set1.Content();

	cout << "Set2 = ";
	Set2.Content();

	cout << "Set3 = ";
	Set3.Content();

	cout << "Increment all elements of Set1 by one...\n";
	Set1.IncrementAllElements();

	cout << "New Content of all lists:\n";

	// Print all lists.
	cout << "Set1 = ";
	Set1.Content();

	cout << "Set2 = ";
	Set2.Content();

	cout << "Set3 = ";
	Set3.Content();

	return 0;
}