// stream.cpp
// Michael Madden, Jan 2001
// Demonstrates simple stream input/output

#include  <iomanip.h>

void main()
{
  int*  data;
  int   i;
  int   size;

  cout << "\nEnter array size:";
  cin >> size;
  cout << endl;

  // allocate array of ints
  data = new int[size];
 
  for (i = 0; i < size; i++) 
  { 
    cout << setw(5) 
         << (data[i] = i);
  }
  cout << endl << endl;

  // deallocate the array
  delete [] data; 
  
  // will we get the same 
  // space again?
  data = new int [size];
  for (i = 0; i < size; i++)
  {	
    cout << setw(5) << data[i];
  }
  cout << endl << endl;

  delete [] data;
}

