// List_const.h: List implementation with const class attribute
// M. Schukat, 2002
 
// Declaration of structure for element:
struct DoubElem
{	
	double element;
	DoubElem* next;
};


// Declaration of class for set:
class DoubSet
{
public:
	DoubSet(int e) : eps(e)
	{
		number = 0; 
	 	start  = 0;
	}

	bool Empty(void)
	{
		return (number == 0);
	}

	bool IsElement(double x);
	bool Insert(double x);
	void Content(void);

	~DoubSet(void);

private:
	int number;
	DoubElem* start;

	// New: Define class variable.
	// Remark: Variable cannot be initialized in class definition.
	const double eps;
};

