// List_s.h
// Example code for shallow copy
// New function; void DoubSet::IncrementAllElements(void)
// M. Schukat, 2002
 
// Declaration of structure for element:
struct DoubElem
{	
	double element;
	DoubElem* next;
};


// Declaration of class for set:
class DoubSet
{
public:
	// Constructor - old stuff
	DoubSet(void) 
	{
		number = 0; 
	 	start  = 0;
	}

	// Test if list is empty - old stuff
	bool Empty(void) const
	{
		return (number == 0);
	}

	// Test if element is in list - old stuff
	bool IsElement(double x) const;
	
	// Insert element - old stuff
	bool Insert(double x);
	
	// Print list of elements of list - old stuff
	void Content(void) const;

	// NEW: All elements of list are incremented
	void IncrementAllElements(void);

	// Destructor - old stuff
	~DoubSet(void);

private:
	int number;
	DoubElem* start;
};

